Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by double-buffering on Linux

From: Dmitry Gutov <[email-masked]>
Date: Fri, 27 Oct 2017 02:19:28 +0300

On 10/16/17 5:30 AM, Eli Zaretskii wrote:
>>     Children  Self   Comma  Shared Object     Symbol
>>     0,03%     0,03%  emacs  libXext.so.6.4.0  [.] XdbeSwapBuffers
>>     0,00%     0,00%  emacs  emacs             [.] XdbeSwapBuffers@plt
> 
> Hmm... so do you see any difference between these 2 scenarios in other
> parts of the profiles?

It's really hard for me to tell. Now, I've re-ran the experiment again 
(last time I did it with ag, now with rg) and I'm attaching the 
"unexpanded" views of the graphs in all cases. 1 and 11 were with a 
small window, and 2 and 22 were with a fullscreen one.

The search results for XdbeSwapBuffers were really similar to the above, 
so I'm not including that.

Don't really see a significant difference. If I had to guess, the 
slowdown maybe has to do with Xorg not being able to keep up, but, like, 
in an asynchronous fashion.